# Example 3.1 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################
windows(width=6,height=5)
par(mfcol=c(2,2),mai=c(0.6,0.6,0.5,0.1),mgp=c(2,0.7,0),cex=0.8)
rate<-1/2; mu<-1/rate; sd<-1/rate
set.seed(124)

means5<-means20<-means50<-rep(NA,1000)
for (i in 1:1000) {
	s5<-rexp(5,rate)
	s20<-rexp(20,rate)
	s50<-rexp(50,rate)
	means5[i]<-mean(s5)
	means20[i]<-mean(s20)
	means50[i]<-mean(s50)
}
x<-seq(0,15,0.01)
plot(x,dexp(x,rate),type="l",main="Population",xlab="x",ylab="Density")
hist(rexp(1000,rate),freq=FALSE,add=TRUE,breaks=seq(0,15,1))

hist(means5,freq=FALSE,main="Mean of 5 observations",xlab=expression(bar(x)),ylab="Density")
lines(x,dnorm(x,mu,sd/sqrt(5)))
hist(means20,freq=FALSE,main="Mean of 20 observations",xlab=expression(bar(x)),ylab="Density")
lines(x,dnorm(x,mu,sd/sqrt(20)))
hist(means50,freq=FALSE,main="Mean of 50 observations",xlab=expression(bar(x)),ylab="Density")
lines(x,dnorm(x,mu,sd/sqrt(50)))