# Example 3.7 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################
library(stats4)
x<-c(1,1,0,1,0,0,1,1,1,0,0,0,0,0,0,0,0,1,0,1)
logit<-function(p) log(p/(1-p))
ilogit<-function(gamma) exp(gamma)/(1+exp(gamma))
nll<-function(lp=logit(0.5)) -sum(log(dbinom(x,1,ilogit(lp))))
sol2<-mle(nll,control=list(trace=1,maxit=1000))
ilogit(coef(sol2))

