# Example 3.8 of Mehttalo, L. and Lappi, J. 2020. Biometry for forestry and environmental data: With examples in R. CRC Press, 
# 
# Author: Lauri Mehttalo
###############################################################################


library(stats4)
# the measured diameters in a vector
DBH<-c(15.1, 17.1, 10.0, 13.5, 16.6, 18.1, 11.0, 13.4, 15.2, 17.1,
       15.9, 17.7, 14.4, 13.8, 14.8, 11.9, 13.0, 14.7, 16.5, 11.0)

nll<-function(theta1,theta2) {
     shape<-exp(theta1)
     scale<-exp(theta2)
#     cat(shape,scale,"\n")
     -sum(log(dweibull(DBH,shape,scale)))
     }

# save ML-estimate into object 'solution'
solution<-mle(minuslogl=nll,start=list(theta1=log(10),theta2=log(15)))

summary(solution)
exp(coef(solution))

